// 上传请求
import { otherHttp } from '/@/utils/http/axios'

enum Api {
    purchaseList = '/purchaseSell/bizPurchase/list', // 采购需求列表
    supplyList = '/purchaseSell/bizSupply/list', // 供应需求列表
    purchaseSellDetails = '/purchaseSell/bizPurchase/queryById', // 产销详情
    purchaseSell = '/purchaseSell/bizPurchase/add', // 发布采购需求
    supplyAdd = '/purchaseSell/bizSupply/add', // 发布供应需求
    bizPurchaseSupplyRecord = '/purchaseSell/bizPurchaseSupplyRecord/add', // 报价
}

/**
 * @param params 请求参数
 * @description: 采购需求列表
 */
export function purchaseList(params = {}) {
    return otherHttp.get({
        url: Api.purchaseList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 供应需求列表
 */
export function supplyList(params = {}) {
    return otherHttp.get({
        url: Api.supplyList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 采购需求详情
 */
export function purchaseSellDetails(params = {}) {
    return otherHttp.get({
        url: Api.purchaseSellDetails,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 发布采购需求
 */
export function purchaseSellAdd(params = {}) {
    return otherHttp.post({
        url: Api.purchaseSell,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 发布采购需求
 */
export function supplyAdd(params = {}) {
    return otherHttp.post({
        url: Api.supplyAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 报价
 */
export function bizPurchaseSupplyRecord(params = {}) {
    return otherHttp.post({
        url: Api.bizPurchaseSupplyRecord,
        params,
    })
}
